<form [formGroup]="targetCategoryForm">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="tarCode" [mbShowFlexEnd]="false"
        [mbDisable]="(mode === 1 && targetCategoryForm.get('tarCode').value) ? true : false"
        [mbType]="isSubmitted &&  targetCategoryForm.controls['tarCode'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted &&  targetCategoryForm.controls['tarCode'].errors !== null"
        [mbErrors]=" targetCategoryForm.controls['tarCode'].errors" [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Mã chỉ tiêu bắt buộc nhập' },
                             { errorName: 'maxlength', errorDescription: 'Mã chỉ tiêu không được vượt quá 50 ký tự'},
                           ]" mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace('tarCode')"
        mbLabelText="Mã chỉ tiêu <span class='label__required'>*</span>">
      </mb-input-text>
    </div>
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="tarName" [mbShowFlexEnd]="false"
        [mbType]="isSubmitted &&  targetCategoryForm.controls['tarName'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted &&  targetCategoryForm.controls['tarName'].errors !== null"
        [mbErrors]=" targetCategoryForm.controls['tarName'].errors" [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Tên chỉ tiêu bắt buộc nhập' },
                     { errorName: 'maxlength', errorDescription: 'Tên chỉ tiêu  không được vượt quá 200 ký tự'},
                   ]" mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace('tarName')"
        mbLabelText="Tên chỉ tiêu <span class='label__required'>*</span>">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select (mbSelect)="selectScoreCard($event)" [mbDataSelects]="listBallanceScoreCardManagement"
        mbKeyLabel="lvaMean" mbKeyValue="lvaValue" formControlName="scoreCard"
        [mbType]="isSubmitted && targetCategoryForm.controls['scoreCard'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['scoreCard'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['scoreCard'].errors" [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'Vui lòng chọn thẻ điểm cân bằng'}]"
        mbLabelText="Thẻ điểm cân bằng <span class='label__required'>*</span>">
      </mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select (mbSelect)="selectSub($event)" [mbDataSelects]="listSub" mbKeyLabel="label" mbKeyValue="value"
        formControlName="typeRule"
        [mbType]="isSubmitted && targetCategoryForm.controls['typeRule'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['typeRule'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['typeRule'].errors" [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'Vui lòng chọn sub'}]"
        mbLabelText="Sub <span class='label__required'>*</span>">
      </mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select [mbDataSelects]="listScoringRule" mbKeyLabel="label" mbKeyValue="value" formControlName="scoringRule"
        [mbType]="isSubmitted && targetCategoryForm.controls['scoringRule'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['scoringRule'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['scoringRule'].errors" [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'Vui lòng chọn cách tính'}]"
        mbLabelText="Cách tính <span class='label__required'>*</span>">
      </mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select [mbDataSelects]="listTargetType" mbKeyLabel="label" mbKeyValue="value" formControlName="targetType"
        [mbType]="isSubmitted && targetCategoryForm.controls['targetType'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['targetType'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['targetType'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'Vui lòng chọn loại'}]"
        mbLabelText="Loại <span class='label__required'>*</span>">
      </mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select [mbDataSelects]="listStatus" mbKeyLabel="label" mbKeyValue="value" formControlName="flagStatus"
        [mbType]="isSubmitted && targetCategoryForm.controls['flagStatus'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['flagStatus'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['flagStatus'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'Vui lòng chọn trạng thái'}]"
        mbLabelText="Trạng thái <span class='label__required'>*</span>"></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select [mbDataSelects]="listShare" mbKeyLabel="label" mbKeyValue="value" formControlName="targetShare"
        [mbType]="isSubmitted && targetCategoryForm.controls['targetShare'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['targetShare'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['targetShare'].errors" [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'Vui lòng chọn share'}]"
        mbLabelText="Shared <span class='label__required'>*</span>">
      </mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12" *ngIf=" this.targetCategoryForm.value.typeRule !== '0' ">
      <mb-select [mbDataSelects]="listParent" mbKeyLabel="tarName" mbKeyValue="tarId" formControlName="parentId"
        [mbType]="isSubmitted && targetCategoryForm.controls['parentId'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && targetCategoryForm.controls['parentId'].errors !== null"
        [mbErrors]="targetCategoryForm.controls['parentId'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'Vui lòng chọn chỉ tiêu cha'}]"
        mbLabelText="Chỉ tiêu cha">
      </mb-select>
    </div>
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="maxNum" [mbShowFlexEnd]="false"
                     [mbType]="isSubmitted &&  targetCategoryForm.controls['maxNum'].errors ? 'error' : 'default'"
                     mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace('maxNum')"
                     mbLabelText="Điểm trần"
                     mbInputType="number"
                     minNumber="0"
      >
      </mb-input-text>
    </div>
  </div>
</form>
